Browse Source

Added libffi-dev to the needed packages

After pyOpenSSL 0.14 update, Grizzly devstack started failing:
 Downloading/unpacking cryptography>=0.2.1 (from pyOpenSSL->python-glanceclient==0.12.0.61.g8b76817)
   Running setup.py egg_info for package cryptography
     c/_cffi_backend.c:14:17: fatal error: ffi.h: No such file or directory

Change-Id: Ida7001886f17c9413b33312f12f2478a54bd6c90
(cherry picked from commit b6f7ea4fb0)
Alex Gaynor 5 years ago
parent
commit
32680fce37
4 changed files with 4 additions and 0 deletions
  1. 1
    0
      files/apts/glance
  2. 1
    0
      files/apts/swift
  3. 1
    0
      files/rpms/glance
  4. 1
    0
      files/rpms/swift

+ 1
- 0
files/apts/glance View File

@@ -1,4 +1,5 @@
1 1
 gcc
2
+libffi-dev
2 3
 libxml2-dev
3 4
 python-dev
4 5
 python-eventlet

+ 1
- 0
files/apts/swift View File

@@ -1,5 +1,6 @@
1 1
 curl
2 2
 gcc
3
+libffi-dev
3 4
 memcached
4 5
 python-configobj
5 6
 python-coverage

+ 1
- 0
files/rpms/glance View File

@@ -1,3 +1,4 @@
1
+libffi-devel
1 2
 libxml2-devel
2 3
 python-argparse
3 4
 python-devel

+ 1
- 0
files/rpms/swift View File

@@ -1,5 +1,6 @@
1 1
 curl
2 2
 gcc
3
+libffi-devel
3 4
 memcached
4 5
 python-configobj
5 6
 python-coverage

Loading…
Cancel
Save